AutoCAD .NET :: Align Z Axis With 2 Points
Jul 6, 2012
I'm trying to Align the Z Axis with 2 points, that works but I'm 90deg off around the Z Axis.
Shared Function UCSAlignZaxix(ByVal Point1 As Point3d, ByVal Point2 As Point3d) As Matrix3d
Try
Dim ZAxis As Vector3d = Point1.GetVectorTo(Point2).GetNormal
Dim yAxis As Vector3d = ZAxis.GetPerpendicularVector.GetNormal
Dim xAxis As Vector3d = yAxis.CrossProduct(ZAxis).GetNormal
Dim NewMatrix3d As Matrix3d = Matrix3d.AlignCoordinateSystem(Point3d.Origin, Vector3d.XAxis, Vector3d.YAxis, Vector3d.ZAxis, Point1, xAxis, yAxis, ZAxis)
Return NewMatrix3d
Catch
Return Nothing
End Try
End Function
View 1 Replies
ADVERTISEMENT
Jul 8, 2013
My part is at an arbitrary angle relative to one of the planes and i cannot align the view in a drawing to be horizontal.I try to make a view, in the part file, in which the model will be horizontal, but there isn't any precise input for views.
I used the Look At tool to look at one face and all i need now is to rotate the view 90 degrees round one axis, but when i touch the line of the compass in the Constrained Orbit command the view jumps back to some position.
View 2 Replies
View Related
Dec 19, 2013
Lisp routine or macro that will either rotate or align selected objects so they are parallel to an axis on the current UCS?
Specifically, when placing mtext to label an object. I typically align my ucs to the object then create the text so it is parallel to the object. It would be great if I could create the text with a rotation of 0, align my ucs to the object to be labeled and then with a single click, select the text making it parallel to the X axis.
View 5 Replies
View Related
Dec 14, 2011
I've read all I could on snaps, video tutorials, changed every setting.
the only time anything snaps is when I'm creating an object in which case I get a box and the object snaps to other objects, bounding boxes end points, etc.. (useless stuff) but it doesn't work at all otherwise, it does absolutely NOTHING while selecting an object or edible poly/mesh object vertices, etc..
I JUST WANT TO ALIGN A VERTEX TO ANOTHER VERTEX.
I've seen videos of people just dragging the axis to another vertex and that vertex automatically aligning to it... why the heck can't that work for me? I don't even get a line, nothing that looks like any tutorials out there. Everything behaves the exact same way as without snaps. you can't even tell the difference moving things around except there is a little circle at the center of the gizmo. I even checked every box in the snaps settings. It makes me want to throw the computer out the window that it takes 3 hours and still nothing works.
Ultimately I just want to select a grid of vertices and align them in a planar xy axis at the same z value as a single of my choice... why is this so impossible?
View 9 Replies
View Related
Oct 23, 2012
I need to be able to extract all "X" and "Y" axis points from a "spline" created in a 2D "sketch" and display them in the "Debug" window (for test only).
View 3 Replies
View Related
Oct 16, 2013
Is there a simple way to export points from the three different axis in a .dxf file for three different views (top, side and front) in autocad 2012? I need to export the points in to excel to run a macro in CATIA to create the surface of an aircraft. I got the .dxf file from the boeing website [URL]....
View 0 Replies
View Related
Sep 4, 2012
I would like to make a block with 2 points and I would like them to follow a line with those 2 points..
Same as you can use the measure command to put blocks on a line with a pitch distance I would like to do the same but the block schould snap with 2 points on the line.
View 9 Replies
View Related
Jun 20, 2007
Attached are two parts and an iFeature that I keep in the "Punch" folder and use as a punch. It is common that clearance holes need to turn into slots and vice versa. The centerpoint is the perfect locator for both. The problem is I have not found a good way to place an iFeature slot on a centerpoint as easy as I do an iPunch. This means I have to convert the part to sheet metal and then back again.
Is there an easy way to place a slot, or a similar slot like this with an iFeature? ie as easy as the Hole Feature or iPunch Feature?
The other thing I do is add an axis and plane thought the center points to aid in constraining. If I remember correctly it was not possible to include work geometry in an iFeature (at least with version 10)
View 5 Replies
View Related
Aug 25, 2010
Is it possible to automatically project the x-axis, z-axis or z-axis onto the sketch plane?
I.e. every time you open a new sketch the corresponding lateral and vertical axis will be projected onto the sketch.
View 9 Replies
View Related
Nov 2, 2012
Any routine (perhaps a lisp) to move, rotate and align text with one swift command?
Something like this video below.
View 9 Replies
View Related
Dec 17, 2012
Currently using 2012 and I had the same problem in 2010.
When I turn visibility off and on in an assembly, all previously constructed user planes, axis and points become visible.
Is there a fix available to download?
View 7 Replies
View Related
Nov 6, 2012
I am using projected and sketched geometry (2D sketches) in assembly space to create lines/ points that I intend to use to define planes and axes. The problem I have is that nearly all the geometry I create (lines and points in 2D sketches) is not "selectable" when I try to create planes or axes. I cannot even put a work points "on top of" my sketch points. Why are my sketches not usable in the assembly space? Since the components in my model are just two extruded rings I don't have any linear edges I can select to make this work/ define planes.
View 9 Replies
View Related
May 13, 2013
I am trying to write a program to align a block with two selected destination points.
- first the user is prompted to select a lwpolyline of a block entity
- then he is prompted to pick two destination points
I face problem with the sub-routine SegmentPts. It is supposed to return the coordinates of two vertexes on both sides of the picked point on a lwpolyline using entsel. But here in my program, when i am picking a point using entsel on a lwpolyline inside a block entity, it is not returning the two vertexes on both sides of the picked point. In stead, it returns some other points of the selected LWPOLYLINE. Why it is doing so? Where is the problem in my program?
It works fine with my other programs where i pick on a LWPOLYLINE entity. In this particular case, the LWPOLYLINE is inside a Block entity and the program is not returning correct points.
Please check Lisp Program below:
(defun C:alb()
(setq ent1 (entsel "
Pick on one side of LWLINE ofa Block:" ))
(setq ent (nentselp (cadr ent1)))
[code]........
View 9 Replies
View Related
Feb 10, 2012
I'm trying to change a routine i just wrote that draws 3d pipes. I wanted to make it so that when a user selects the beginning point and ending point of the pipe, the LISP changes the ucs to that vector, draws the circle at the beginning point and extrudes it to the second point.
It actually works great except when the ucs changes, so do my user points because of teh origin change. Is there a better way I might get this to do what I wnat it to?
(setq ip (getpoint "
Pick First Point:"))(setq ep (getpoint "
Pick Second Point:"))(command ".ucs" "za" ip ep)(setvar "osmode" 0)(command ".circle" ip "d" od)(command ".extrude" (entlast) "" (distance ip ep))(command ".ucs" "w")(setvar "osmode" oldsnap))
View 2 Replies
View Related
Feb 19, 2009
I've got two layers that need to be aligned, but are currently at different scales. In Illustrator, aligning two objects (lets call them A and B ) at different scales is an easy two step process: drag point A1 to point B1; then move the reference point to A1/B1 and scale-drag point A2 until it's on top of point B2. Voilà ! But in Photoshop I can't seem to scale except with corner handles or numerical input, and neither is convenient for this purpose. Is there something comparable to Illustator's scale tool in Photoshop?
View 11 Replies
View Related
Mar 20, 2013
it is possible to use the Align command on an adaptive point (once inserted in the model). It seems that when I try to align an adaptive point to something, it moves the entire family. However, when I attach dimensions to each point, the points move independent of their context.
View 1 Replies
View Related
Apr 15, 2013
I drew a Gmask with 4 points and broke the handles. My questions is:
1. How do I know when 2 or more points are exactly on the same vertical or horizontal line?
2. How do i get them to align?
3. How do I move 2 or more points together? (Control select and drag)?
View 2 Replies
View Related
Mar 25, 2013
i try to make an animation. I create a cylinder and i want to rotate it by longitudinal axis. i click 'components', select the cylinder and after i click 'position' to select the axis that axis system appears in the right side of the cylinder not in the middle. If i continue whit this settings the cylinder will rotate by a circle not by his longitudinal axis. How can i move that axis sistem in the middle of the cylinder? I can drag it but can't place it exactly in the middle.
View 1 Replies
View Related
Oct 7, 2013
Is there any way I can extract the rotation of a block relative to the yz axis and xy axis. I can extract the insertion point and xy rotation but not the yz and xz.
View 9 Replies
View Related
Jan 25, 2013
I'm rigging a shoulder pad to a biped and I'd like it to only rotate on one axis. Google hasn't been that useful, and I hope I don't need scripting for this kind of minor thing. I'm rather new to 3Ds Max Design but I'm learning fast and liking it so far!
I've attached what I want to effectively accomplish. I'm looking for a way to lock the z-axis of the object with the upper arm's z-axis.
EDIT: Reduced picture size.
View 3 Replies
View Related
Apr 30, 2013
Occasionally paragraph allignment works opposite for left & right align, usually on Illustrator documents with Russian type.
In additon on center align text I set my cursor to input a period at the end of a sentence, and the period instead gets added to the beginning.
In character palette language is set to English USA, this is point text.
I created a new point text and this is happening, if I paste text from another document alignment works fine, font is Arial black but happens with all fonts.
View 13 Replies
View Related
Feb 8, 2013
I had to create a boundary map and place points to all corners. How to export these newly created points back into my data collector (Ranger) and also I'm trying to figure out how to print out a points list.
I stumbled on to this thread but I guessing that it's a different CAD year because my modify tab doesn't look like this. URL.....
View 4 Replies
View Related
Mar 5, 2013
I have a large surface (over 1.5 million points and 20 000hectares)
I need to get a point file .csv from the TIN to be able to use it in another program.
-so i've extracted the points from my surface, but they are Autocad points.
-next step is to convert them to civil 3d points.
-I can not select them all when converting them or my computer crashes.
-so i select about 25 000 at a time, the converting takes roughly 10 minutes.
and i have over 1.5 million points to do.
how can i speed this up.
will more ram useful?
View 9 Replies
View Related
May 17, 2013
there is a way to convert land desktop aecc points to cogo points and use the full description?
I do not have access to the ldt files nor to the Descriprion keys file. It would be nice if there was an option to preserve full descriptions when converting (that would be just too simple).
View 0 Replies
View Related
Oct 9, 2012
I have recieved a file with many points and would like to convert them into COGO points in Civil 3D. The problem is; I would like to keep the hole ID's as I convert, I've made a few conversions and lose the hole ID every time (not showing in Name or Description). Is there a seting I am missing to keep these? My aim to to organize the COGO points in different point groups.
View 3 Replies
View Related
Aug 17, 2012
I have a couple points that were part of an import event (data from a previous project) which I want to assign as control points for an incoming traverse, is there any way to assign those as control points? I can't seem to find a way to do that other than perhaps re-importing the specific points as control points and overwriting the existing ones.
View 2 Replies
View Related
Apr 10, 2013
I have a project that was started by leaving all the survey data inside the "All Points" group. So, I'm concerned that when I enter my as built survey points, that even if I put them into their own group, that the original surface will still look at them and just rebuild to my asbuilt data, effectively cancel out the purpose of the asbuilt survey. Will this happen?
I want to take the original points and put them into a group of their own, but I don't know if that will affect anything or not? I have several wetlands already designed on that surface with volume calcs already done too.
What should I do?
View 9 Replies
View Related
Aug 9, 2012
what absolute points and relative points are in AutoCAD. What is the difference?
View 8 Replies
View Related
Jul 31, 2011
I have two locations marked by steel stakes on my land that are also shown on a CAD drawing. The CAD drawing is two dimensional; however, contours are shown. I have physically measured distances between these two known points and numerous other locations that I wish to plot on the CAD drawing. I could always print the CAD drawing to scale and plot the new points on the CAD printout by using the two known locations, a compass to draw arcs and locating the new points by where the arcs intersect. I am sure there is a much more efficient way to plot these new points within the CAD program itself. I have just started to use CAD;
View 1 Replies
View Related
Aug 10, 2013
Let me make my question clearer by considering an example as follows, Assume I have points A, B, C and D in a map. Is there any command that can list the distance between any two points out of all points? e.g. distance of A-B, A-C, A-D, B-C, B-D, C-D.
View 1 Replies
View Related
Nov 29, 2013
When I change a section to static mode, I would like to add new section points or erase section points.
Autocad Civil 3D 2014 +SP1
Quad Core Intel i7 3770-cpu 3.40Ghz.
ssd samsung 840 pro 512gb+ssd samsung 840 pro 256 gb+1tb hdd
32gb RAM 1600 Mhz.
nVidia Quadro 2000.
Win 7 Pro 64bit
View 2 Replies
View Related